Security Enhanced Linux Reference Policy

# Layer: services

## Module: adb

Tunables Interfaces

### Description:

Policy for adb

### Tunables:

adb_shell_extended_access

##### Default value

false

##### Description

Allow extended adb shell functionality for debugging and interactive shell access.

adb_unconfined_shell

##### Default value

false

##### Description

Allow adb shell sessions to run in unconfined_t instead of the default adb_shell_t domain.

Return

### Interfaces:

adb_use_fds( domain )

##### Summary

Allow processes to inherit adbd file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return